import os
import shutil
import subprocess
from tqdm import tqdm

source = "planet"
srcfile = source + ".pov"
frame_num = 200
dataname = "planet_200f"
V=5
view_num = V*V
size_w = 840
size_h = 593


if os.path.isdir("./" + dataname) == False:
    os.mkdir("./" + dataname)
shutil.copy("./"+srcfile,  "./"+dataname + "/"+srcfile)
os.chdir("./" + dataname)



for frame in tqdm(range(frame_num)):

    if os.path.isdir("./%04d"%(frame+1)) == False:
        os.mkdir("./%04d"%(frame+1))
    shutil.copy("./"+srcfile,  "./%04d/"%(frame+1)+srcfile)
    os.chdir("./%04d"%(frame+1))


    povray_cmd = 'povray +A +w%d +h%d +KI'%(size_w, size_h)+str('{:.1f}'.format(frame*view_num))+ ' +KF'+str('{:.1f}'.format((frame+1)*view_num-1)) +' +KFF'+str('{:.1f}'.format(view_num)) +' ' +srcfile

    output = open('../output.txt', 'w')
    subprocess.run(povray_cmd.split(), stdout=output, stderr=subprocess.STDOUT)
    output.close()

    os.remove(srcfile)

    for i in range(view_num):
        os.rename("./" +source+"%02d.png"%(i+1), "./%02d_%02d.png" %(int(i/V), int(i%V)))

        #        shutil.copy("./video%04d.png" %((frame)*view_num+i+1) ,  "./"+dataname+"/%04d/%02d_%02d.png" %(frame+1, int(i/5), int(i%5)) )
       # print((frame)*view_num+i+1)

    os.chdir("../")
